Bug 519076 - Update for HighPoint RocketRAID hptiop driver in RHEL 5.5 kernel
Summary: Update for HighPoint RocketRAID hptiop driver in RHEL 5.5 kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Rob Evers
QA Contact: Red Hat Kernel QE team
URL: http://www.highpoint-tech.com
Whiteboard:
Depends On:
Blocks: 533192 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-08-24 22:11 UTC by HighPoint Linux Team
Modified: 2010-11-22 23:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The hptiop driver for HighPoint RocketRAID 3xxx/4xxx controllers has been updated, adding support for RR44xx adapters.
Clone Of:
Environment:
Last Closed: 2010-03-30 07:46:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch for HighPoint RocketRAID Series Controllers (1.01 KB, patch)
2009-09-10 00:07 UTC, HighPoint Linux Team
no flags Details | Diff
Patch for HighPoint Marvell IOP and RR44xx Controllers (53.19 KB, patch)
2009-10-10 09:26 UTC, HighPoint Linux Team
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description HighPoint Linux Team 2009-08-24 22:11:09 UTC
User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; OfficeLiveConnector.1.3; OfficeLivePatch.0.0; yie8)

We want to backport our GPT driver to RHEL 5.5



Reproducible: Always




Please ask  coughlan@redhat.com Tom Coughlan for assistance. He assisted in our previous request.

Comment 1 HighPoint Linux Team 2009-09-10 00:07:30 UTC
Created attachment 360378 [details]
Patch for HighPoint RocketRAID Series Controllers

This is patch to include HighPoint RocketRAID series controllers.

Comment 5 Rob Evers 2009-09-15 16:10:31 UTC
Question regarding this patch vs. what was recently posted to linux-scsi on Sep. 11 2009 at 5:21 EST.

From the linux-scsi email:

Most code changes were made to support RR44xx adapters.
- add more PCI device ID.
- using PCI BAR[2] to access RR44xx IOP. 
- using PCI BAR[0] to check and clear RR44xx IRQ.

Does this patch enable support for an RR44xx adapter?

If so, are any of the other changes in the upstream submit also required for rhel5?

Comment 6 HighPoint Linux Team 2009-09-18 17:32:03 UTC
(In reply to comment #5)
> Question regarding this patch vs. what was recently posted to linux-scsi on
> Sep. 11 2009 at 5:21 EST.
> From the linux-scsi email:
> Most code changes were made to support RR44xx adapters.
> - add more PCI device ID.
> - using PCI BAR[2] to access RR44xx IOP. 
> - using PCI BAR[0] to check and clear RR44xx IRQ.
> Does this patch enable support for an RR44xx adapter?
> If so, are any of the other changes in the upstream submit also required for
> rhel5?  

Hi Rob, the patch that was submitted (linux-2.6-scsi-hptiop-adds-more-pci-id.patch)added support for some of our RocketRAID controllers  

Patch to RHEL: 
     + { PCI_DEVICE(0x1103, 0x3530) },
+ { PCI_DEVICE(0x1103, 0x3560) },
+ { PCI_DEVICE(0x1103, 0x4210) },
+ { PCI_DEVICE(0x1103, 0x4211) },
+ { PCI_DEVICE(0x1103, 0x4310) },
+ { PCI_DEVICE(0x1103, 0x4311) },
+ { PCI_DEVICE(0x1103, 0x4321) },
+ { PCI_DEVICE(0x1103, 0x4322) },



The patch posted on linux-scsi included the product ID list abbove and also addded support for the RocketRAID 44xx controller. 

- add more PCI device ID.
- using PCI BAR[2] to access RR44xx IOP. 
- using PCI BAR[0] to check and clear RR44xx IRQ.

HighPoint would like Red Hat to use the patch that was submitted to linux-scsi

Thanks

Comment 7 Tom Coughlan 2009-09-18 18:15:55 UTC
Rob says that the upstream driver has diverged quite a bit from the driver currently in RHEL 5. 

1) Are there other changes in the upstream driver that are important to also put in RHEL 5 because they fix serious problems?

2) Does the new hardware support that is proposed here depend on any other patches that have gone in upstream but are not in RHEL 5? 

3) Have you tested the new hardware with the proposed patch added to RHEL 5.4? 

Tom

Comment 8 Rob Evers 2009-09-18 18:48:44 UTC
If I read the upstream driver correctly, there are three categories of adapters supported upstream:

The mini-hal implemented upstream before the upstream post above supports 2 categories, and a 3rd category is RR44xx that is supported by the upstream post mentioned above.

If you want all that support in rhel5, you will need to backport the mini-hal and the RR44xx driver to rhel5.4, test it, create a patch (or preferably a patch set that can be easily reviewed with a description of each patch), and attach the patch(es) here.

The original question was whether the PCI ids in the original patch required RR44xx changes in the upstream patch.  Thinking about this a bit, I would guess not.  However, a new question arises, is the mini-hal that is upstream required for any of the PCI ids in the original patch.  If the answer to both of these questions is no, than the original patch can be taken as-is.  However, a driver that only supports a subset of the available hardware is not desirable, and a backport of the minihal and RR44xx changes would be preferred.

Please state your intentions regarding whether another patch will be attached.

Rob

Comment 9 HighPoint Linux Team 2009-09-21 18:34:50 UTC
(In reply to comment #8)
> If I read the upstream driver correctly, there are three categories of adapters
> supported upstream:
> 
> The mini-hal implemented upstream before the upstream post above supports 2
> categories, and a 3rd category is RR44xx that is supported by the upstream post
> mentioned above.
> 
> If you want all that support in rhel5, you will need to backport the mini-hal
> and the RR44xx driver to rhel5.4, test it, create a patch (or preferably a
> patch set that can be easily reviewed with a description of each patch), and
> attach the patch(es) here.
> 
> The original question was whether the PCI ids in the original patch required
> RR44xx changes in the upstream patch.  Thinking about this a bit, I would guess
> not.  However, a new question arises, is the mini-hal that is upstream required
> for any of the PCI ids in the original patch.  If the answer to both of these
> questions is no, than the original patch can be taken as-is.  However, a driver
> that only supports a subset of the available hardware is not desirable, and a
> backport of the minihal and RR44xx changes would be preferred.
> 
> Please state your intentions regarding whether another patch will be attached.
> 
> Rob  

Hi Rob, thank you for the clarification, we will provide another patch for back porting.

Comment 10 Rob Evers 2009-10-06 16:12:49 UTC
any updates on the new patch?

Comment 11 HighPoint Linux Team 2009-10-10 09:26:11 UTC
Created attachment 364335 [details]
Patch for HighPoint Marvell IOP and RR44xx Controllers  

This patch was made to support Marvell IOP and RR44xx adapters. We have test it on RHEL 5.4
- add more PCI device IDs
- support for adapters based on Marvell IOP
- fix a result code translation error on big-endian systems
- fix resource releasing bug when scsi_host_alloc() fail in hptiop_probe()
- update scsi_cmnd.resid when finishing a request
- correct some coding style issues
- using PCI BAR[2] to access RR44xx IOP. 
- using PCI BAR[0] to check and clear RR44xx IRQ.

Comment 17 RHEL Program Management 2009-10-20 14:29:41 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 23 Chris Ward 2009-10-23 15:37:33 UTC
@Highpoint

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 Test
Phase, if it is accepted into the release.

RHEL 5.5 Beta Test Phase is expected to begin around February
2010.

Please post a confirmation before Oct 30th, 2009, 
including the contact information for testing engineers.

Comment 24 HighPoint Linux Team 2009-10-28 00:17:20 UTC
(In reply to comment #23)
> @Highpoint
> We need to confirm that there is commitment to test 
> for the resolution of this request during the RHEL 5.5 Test
> Phase, if it is accepted into the release.
> RHEL 5.5 Beta Test Phase is expected to begin around February
> 2010.
> Please post a confirmation before Oct 30th, 2009, 
> including the contact information for testing engineers.  

Hi Chris, the email reply is our confirmation that HighPoint is committed to testing RHEL 5.5 when it is released. 

We have a team of test engineers on this project. They all have access and monitor the following email address for reported issues or questions. 

linux@highpoint-tech.com

Comment 25 Rob Evers 2009-11-02 18:54:20 UTC
A question came up during internal code review:

> The patch would be even closer to upstream when we used here
> scsi_for_each_sg as it is used in upstream.

Can you explain why this section of code diverged from upstream?

Thanks, Rob

Comment 26 HighPoint Linux Team 2009-11-03 01:38:52 UTC
We can't find this MACRO definition(scsi_for _each_sg) in kernel 2.6.18.

Comment 27 Don Zickus 2009-11-10 16:51:24 UTC
in kernel-2.6.18-173.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 29 HighPoint Linux Team 2009-11-24 09:14:11 UTC
In kernel-2.6.18-175.el5 we can't find scsi_for_each_sg difinition too.

Comment 31 Ryan Lerch 2010-01-27 21:28:19 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The hptiop driver for HighPoint RocketRAID 3xxx/4xxx controllers has been updated, adding support for RR44xx adapters.

Comment 33 errata-xmlrpc 2010-03-30 07:46:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.